Cairo::availableSurfaces
Cairo::version
Cairo
PHP Manual

# Cairo::statusToString

# cairo_status_to_string

(PECL cairo >= 0.1.0)

Cairo::statusToString -- cairo_status_to_string — Retrieves the current status as string

### Description

Object oriented style (method):

public static string Cairo::statusToString ( int `$status` )

Procedural style:

string cairo_status_to_string ( int `$status` )

Retrieves the current status as a readable string

### Parameters

`status`

  A valid status code given by cairo_status() or CairoContext::status()

### Return Values

A string containing the current status of a CairoContext object

### Examples

Example #1 Object oriented style

`<?php
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
$context = new CairoContext($surface);
var_dump(Cairo::statusToString($context->status()));
?>`

The above example will output something similar to:

    string(7) "success"

Example #2 Procedural style

`<?php
$surface = cairo_image_surface_create(CAIRO_FORMAT_ARGB32, 50, 50);
$context = cairo_create($surface);
var_dump(cairo_status_to_string(cairo_status($context)));
?>`

The above example will output something similar to:

    string(7) "success"

### See Also

- CairoContext::status() - The status purpose

Cairo::availableSurfaces
Cairo::version
Cairo
PHP Manual